Home

# Class goog.ui.editor.EquationEditorDialog

Equation editor dialog (based on goog.ui.editor.AbstractDialog).

extends goog.ui.editor.AbstractDialog

Instance Method Summary
| `createDialogControl() ⇒ ?goog.ui.Dialog` Creates and returns the goog.ui.Dialog control that is being wrapped by this object.
| `createOkEvent(?goog.events.Event e) ⇒ ?goog.events.Event` Creates and returns the event object to be used when dispatching the OK event to listeners, or returns null to prevent the dialog from closing. Subclasses should override this to return their own subclass of goog.events.Event that includes all data a plugin would need from the dialog.
| `onChange_(?goog.ui.equation.ChangeEvent e)` Handles CHANGE event fired when user changes equation.